#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include "byte.h"
extern char *malloc();

static char buf[32];

#define UL(x) ((unsigned int) (unsigned char) (x))

void main(argc,argv)
int argc;
char **argv;
{
 unsigned long z;
 char *di;
 char *di8j;
 struct stat st;
 int j;
 int k;

 ++argv;

 di = malloc((argc + 10) * 8);
 if (!di) { fprintf(stderr,"anonftpstat: fatal: out of memory\n"); exit(1); }

 di8j = di;

 for (j = 0;argv[j];++j)
  {
   if (stat(argv[j],&st) == -1)
    {
     fprintf(stderr,"anonftpstat: warning: unable to stat %s\n",argv[j]);
     *di8j++ = 0; *di8j++ = 0; *di8j++ = 0; *di8j++ = 0;
     *di8j++ = 0; *di8j++ = 0; *di8j++ = 0; *di8j++ = 0;
    }
   else
    {
     z = st.st_dev;
     *di8j++ = z; z >>= 8; *di8j++ = z; z >>= 8;
     *di8j++ = z; z >>= 8; *di8j++ = z;
     z = st.st_ino;
     *di8j++ = z; z >>= 8; *di8j++ = z; z >>= 8;
     *di8j++ = z; z >>= 8; *di8j++ = z;
    }
  }

 while (read(0,buf,32) == 32)
   if (buf[1] == 'r')
    {
     for (j = 0;argv[j];++j)
       if (!byte_diff(di + (j << 3),8,buf + 24))
	{
         printf("%lu.%lu.%lu.%lu\t"
           ,UL(buf[8]),UL(buf[9]),UL(buf[10]),UL(buf[11])
           );
         z = UL(buf[23]); z <<= 8;
         z += UL(buf[22]); z <<= 8;
         z += UL(buf[21]); z <<= 8;
         z += UL(buf[20]);
         printf("%lu\t",z);
         z = UL(buf[7]); z <<= 8;
         z += UL(buf[6]); z <<= 8;
         z += UL(buf[5]); z <<= 8;
         z += UL(buf[4]);
         printf("%lu\t",z);
         z = UL(buf[3]); z <<= 8;
         z += UL(buf[2]);
         printf("%lu\t",z);
         puts(argv[j]);
	 break;
	}
    }

 exit(0);
}
