systype="$1"
home="$2"
umask 022

[ ! -d "$home" ] && mkdir "$home"
[ ! -d "$home/pub" ] && mkdir "$home/pub"
[ ! -d "$home/bin" ] && mkdir "$home/bin"
[ ! -d "$home/man" ] && mkdir "$home/man"
[ ! -d "$home/man/cat5" ] && mkdir "$home/man/cat5"
[ ! -d "$home/man/cat8" ] && mkdir "$home/man/cat8"

cp anonftpd "$home/bin/anonftpd"
chmod 755 "$home/bin/anonftpd"
cp anonftpstat "$home/bin/anonftpstat"
chmod 755 "$home/bin/anonftpstat"

cp anonftpd.0 "$home/man/cat8/anonftpd.0"
chmod 644 "$home/man/cat8/anonftpd.0"
cp anonftplog.0 "$home/man/cat5/anonftplog.0"
chmod 644 "$home/man/cat5/anonftplog.0"
cp anonftpstat.0 "$home/man/cat8/anonftpstat.0"
chmod 644 "$home/man/cat8/anonftpstat.0"

case x"$systype" in
xsunos-5*)
  cd "$home/pub"
  [ ! -d etc ] && mkdir etc
  [ ! -f etc/netconfig ] && \
    echo tcp tpi_cots_ord v inet tcp /dev/tcp - > etc/netconfig
  [ ! -d dev ] && mkdir dev
  [ ! -c dev/tcp ] && mknod dev/tcp c 11 42 # XXX: are these constant?
  ;;
esac

exit 0
