#include "log.h"
#include "conn.h"
#include "sys.h"

int log_fd = -1;

static char log_buf[32];

static void log_put()
{
 char *foo;
 int len;
 int w;

 if (log_fd == -1)
   return;

 foo = log_buf;
 len = sizeof(log_buf);
 while (len > 0)
  {
   w = sys_write(log_fd,foo,len);
   if (w <= 0)
    {
     log_fd = -1;
     return;
    }
   foo += w;
   len -= w;
  }
}

extern void log_init(usc,themc)
struct conn_addr *usc;
struct conn_addr *themc;
{
 unsigned long pid;
 unsigned long now;

 now = time((long *) 0);
 pid = getpid();
 
 log_buf[0] = 2;
 log_buf[1] = 'i';
 log_buf[2] = pid; pid >>= 8;
 log_buf[3] = pid;
 log_buf[4] = now; now >>= 8;
 log_buf[5] = now; now >>= 8;
 log_buf[6] = now; now >>= 8;
 log_buf[7] = now;
 log_buf[8] = themc->h1;
 log_buf[9] = themc->h2;
 log_buf[10] = themc->h3;
 log_buf[11] = themc->h4;
 log_buf[12] = themc->p1;
 log_buf[13] = themc->p2;
 log_buf[14] = usc->h1;
 log_buf[15] = usc->h2;
 log_buf[16] = usc->h3;
 log_buf[17] = usc->h4;
 log_buf[18] = usc->p1;
 log_buf[19] = usc->p2;
 log_buf[20] = 0;
 log_buf[21] = 0;
 log_buf[22] = 0;
 log_buf[23] = 0;
 log_buf[24] = 0;
 log_buf[25] = 0;
 log_buf[26] = 0;
 log_buf[27] = 0;
 log_buf[28] = 0;
 log_buf[29] = 0;
 log_buf[30] = 0;
 log_buf[31] = 0;

 log_put();
}

extern void log_retr(dev,ino)
unsigned long dev;
unsigned long ino;
{
 unsigned long now;

 now = time((long *) 0);

 log_buf[1] = 'r';
 log_buf[20] = now; now >>= 8;
 log_buf[21] = now; now >>= 8;
 log_buf[22] = now; now >>= 8;
 log_buf[23] = now;
 log_buf[24] = dev; dev >>= 8;
 log_buf[25] = dev; dev >>= 8;
 log_buf[26] = dev; dev >>= 8;
 log_buf[27] = dev;
 log_buf[28] = ino; ino >>= 8;
 log_buf[29] = ino; ino >>= 8;
 log_buf[30] = ino; ino >>= 8;
 log_buf[31] = ino;

 log_put();
}
